IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Lazarus Pascal Discussion :

L’EDI Lazarus 1.8 est disponible, avec du retard mais fort de sérieuses améliorations


Sujet :

Lazarus Pascal

  1. #21
    Membre chevronné

    Homme Profil pro
    Retraité
    Inscrit en
    juin 2012
    Messages
    1 035
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Retraité
    Secteur : Biens de consommation

    Informations forums :
    Inscription : juin 2012
    Messages : 1 035
    Points : 2 020
    Points
    2 020
    Par défaut
    Bon, je viens de faire la migration et dans l'ensemble ça c'est passé convenablement.
    Précision importante, je n'utilise jamais les package .deb pour lazarus FPC, c'est souvent un peu bordélique.
    Avant la migration j'étais sur le SVN avec le FPC 3.0.0, j'ai tout viré et réinstallé FPC 3.0.4 depuis le binaire dans /usr/local et téléchargé les sources à part. Je n'ai pas eu besoin de la 3.0.4-1.
    Pour lazarus j'ai téléchargé et compilé les sources sans problème mais il n'a pas digéré mon ancienne config SVN quand j'ai démarré:

    Il y a déjà une configuration de la version 1.9.0 dans
    /home/moi/.lazarus
    La configuration sera rétrogradée/convertie.
    et après ça il s'est figé, j'ai du refaire la config et l'installation des paquets.

    A la fin de l'install de lnet j'ai eu un accès violation dans le terminal. Même chose avec ZeosLib. Mais les deux paquets se sont bien installé malgré tout et recompiler depuis l'IDE avec Nettoyer + Tout créer se passe sans erreur et mes projets se compilent sans histoire.

    Un truc qui traîne depuis une éternité: lazreportpdfexport 0.9 est dans la liste des packages mais n'est jamais trouvé quand on veut l'installer.

    PS: Sourceforge me gonfle ! Et pour FPC pas d'autre choix, sur le site officiel c'est le seul lien pour la 3.0.4 avec les autres on télécharge la 3.0.2 !

  2. #22
    Membre chevronné

    Homme Profil pro
    Retraité
    Inscrit en
    juin 2012
    Messages
    1 035
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Retraité
    Secteur : Biens de consommation

    Informations forums :
    Inscription : juin 2012
    Messages : 1 035
    Points : 2 020
    Points
    2 020
    Par défaut
    Avec le Online Package Manager franchement je ne pense pas que tu prennes trop la tête pour installer les compos
    Avec la version SVN je l'avais depuis un certain temps et il s'y trouve pas mal de packages obsolètes qui ont perdu leur dépendances ou à qui il manque un ou deux fichiers pour s'installer. Sinon l'idée est bonne mais elle demanderait un petit ménage.

  3. #23
    Expert confirmé
    Avatar de BeanzMaster
    Homme Profil pro
    Amateur Passionné
    Inscrit en
    septembre 2015
    Messages
    1 814
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Amateur Passionné
    Secteur : Tourisme - Loisirs

    Informations forums :
    Inscription : septembre 2015
    Messages : 1 814
    Points : 4 144
    Points
    4 144
    Billets dans le blog
    2
    Par défaut
    Salut à tous, hier j'ai posté le message d'alcatiz sur le forum anglais et voila la réponse d'un des modérateur :

    BeanzMaster, forget the packages. After installing FPC, checkout Lazarus sources from SVN fixes_1_8 branch and build with "make".
    My experience also is that installing packages outside the distro's repository often breaks something.
    Either bypass the package system or use a rolling distro which has recent versions of everything.
    I can recommend Manjaro from my experience.
    Traduction :

    Oublies les paquets. Après l'installation de FPC, recherches les sources Lazarus à partir de la branche SVN fixes_1_8 et construis avec 'make'.
    Par expérience, utiliser les paquets de l'installation en dehors du dépôt de la distribution brise souvent quelque chose.
    Il faut soit contourner le système de paquets ou utiliser une distribution qui a des versions récentes.
    Je peux recommander Manjaro.
    En gros il faut faire la manip que mm à décrites

    Pour OnlineManager GetMem le développeur essaye autant qu'il peux de garder les paquets à jour. Je fais suivre ta remarque MM
    Tu aurais quelques noms de paquet à transmettre à GetMem ?
    • "L'Homme devrait mettre autant d'ardeur à simplifier sa vie qu'il met à la compliquer" - Henri Bergson
    • "Bien des livres auraient été plus clairs s'ils n'avaient pas voulu être si clairs" - Emmanuel Kant
    • "La simplicité est la sophistication suprême" - Léonard De Vinci
    • "Ce qui est facile à comprendre ou à faire pour toi, ne l'est pas forcément pour l'autre." - Mon pèrei

    Mes projets sur Github - Blog - Site DVP

  4. #24
    Membre chevronné

    Homme Profil pro
    Retraité
    Inscrit en
    juin 2012
    Messages
    1 035
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Retraité
    Secteur : Biens de consommation

    Informations forums :
    Inscription : juin 2012
    Messages : 1 035
    Points : 2 020
    Points
    2 020
    Par défaut
    Tu aurais quelques noms de paquet à transmettre à GetMem ?
    Pas dans l'immédiat, j'ai oublié le nom exact des paquets que j'avais tenté pour résoudre ça:
    https://www.developpez.net/forums/d1...al-impossible/
    Dès que j'aurai un moment je ferai un tour pour les retrouver et je posterai ici.

  5. #25
    Membre régulier

    Homme Profil pro
    retraité
    Inscrit en
    septembre 2006
    Messages
    57
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Gironde (Aquitaine)

    Informations professionnelles :
    Activité : retraité
    Secteur : Aéronautique - Marine - Espace - Armement

    Informations forums :
    Inscription : septembre 2006
    Messages : 57
    Points : 118
    Points
    118
    Par défaut "Error while linking"
    Bonjour,
    Sur mon premier PC sous linux mint (voir plus haut) j'ai eu des problèmes d'installation a partir des 3 fichiers deb
    Erreur: Casse le paquet existant "fpc" car en conflit avec fpc() et autres que j'ai réglé en faisant du ménage.

    Sur un 2 eme pc sous mint cinnamon,j'ai eu plus de soucis et surtout ,comme alcatiz le message
    "Error while linking".
    après installation a partir des 3 .deb

    Le problème a été résolu en procédant de la sorte.
    instalation de fpc par .deb puis sans rien changer :
    re installation de fpc a partir d'un .tar.
    Telecharger fpc-3.0.4.x86_64-linux.tar ici :
    https://sourceforge.net/projects/fre...es/Linux/3.0.4
    décompresser
    cd fpc-3.0.4.x86_64-linux/
    sudo ./install.sh
    install fpc_src par .deb
    install lazarus par .deb

  6. #26
    Responsable Pascal, Lazarus et Assembleur


    Avatar de Alcatîz
    Homme Profil pro
    Ressources humaines
    Inscrit en
    mars 2003
    Messages
    7 775
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 55
    Localisation : Belgique

    Informations professionnelles :
    Activité : Ressources humaines
    Secteur : Service public

    Informations forums :
    Inscription : mars 2003
    Messages : 7 775
    Points : 56 517
    Points
    56 517
    Billets dans le blog
    2
    Par défaut
    Merci à tous !

    Citation Envoyé par microb Voir le message
    Sur un 2 eme pc sous mint cinnamon, j'ai eu plus de soucis et surtout ,comme alcatiz le message
    "Error while linking".
    après installation a partir des 3 .deb

    Le problème a été résolu en procédant de la sorte.
    instalation de fpc par .deb puis sans rien changer :
    re installation de fpc a partir d'un .tar.
    Telecharger fpc-3.0.4.x86_64-linux.tar ici :
    https://sourceforge.net/projects/fre...es/Linux/3.0.4
    décompresser
    cd fpc-3.0.4.x86_64-linux/
    sudo ./install.sh
    install fpc_src par .deb
    install lazarus par .deb
    Procédure également testée avec succès avec les paquets rpm.

    Il me semble que c'est la manière la plus simple - et la plus rapide - d'avoir une installation fonctionnelle si l'on veut se servir des paquetages, sans se casser la tête.

    Règles du forum
    Cours et tutoriels Pascal, Delphi, Lazarus et Assembleur
    Avant de poser une question, consultez les FAQ Pascal, Delphi, Lazarus et Assembleur
    Mes tutoriels et sources Pascal

    Le problème en ce bas monde est que les imbéciles sont sûrs d'eux et fiers comme des coqs de basse cour, alors que les gens intelligents sont emplis de doute. [Bertrand Russell]
    La tolérance atteindra un tel niveau que les personnes intelligentes seront interdites de toute réflexion afin de ne pas offenser les imbéciles. [Fiodor Mikhaïlovitch Dostoïevski]

  7. #27
    Expert confirmé
    Avatar de BeanzMaster
    Homme Profil pro
    Amateur Passionné
    Inscrit en
    septembre 2015
    Messages
    1 814
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Amateur Passionné
    Secteur : Tourisme - Loisirs

    Informations forums :
    Inscription : septembre 2015
    Messages : 1 814
    Points : 4 144
    Points
    4 144
    Billets dans le blog
    2
    Par défaut
    Salut j'ai posté ta solution sur le forum anglais Microb

    et en ce qui concerne OnlinePackage Manager voici la reponse de GetMem :

    We are rewriting a large part of OPM. SVN won't work properly for a while. The goal is to make OPM a natural extension of the build in package manager(see screnshot1). For SVN users I recommend to update OPM via OPM, so you will get the latest stable version, the same is shipped with Lazarus 1.8

    PS: Before you install a package, please check: Lazarus/FPC compatibility, supported widgetset(see screenshot2). Some package may not work with your current OS/Lazarus/FPC. If you find a broken package, please report it here, I will fix it as soon as possible, usually in less then 24 hour. If a package has a new version somewhere else, please leave a message in this thread or send it via "Submit" button(http://wiki.freepascal.org/Online_Pa...sitory_package). There are more then 130 package in the central repository, I cannot check every package each day, it's not realistic.
    Traduction

    Nous réécrivons une grande partie d'OPM. SVN ne fonctionnera pas correctement pendant un moment. L'objectif est de faire d'OPM une extension naturelle de la construction dans le gestionnaire de paquets (voir screnshot1). Pour les utilisateurs SVN, je recommande de mettre à jour OPM via OPM, de sorte que vous obtiendrez la dernière version stable, la même est livré avec Lazarus 1.8

    PS: Avant d'installer un paquet, vérifiez: la compatibilité Lazarus / FPC, ensemble de widgets supporté (voir screenshot2). Certains paquets peuvent ne pas fonctionner avec votre OS / Lazarus / FPC actuel. Si vous trouvez un colis cassé, veuillez le signaler ici, je le réparerai le plus rapidement possible, généralement en moins de 24 heures. Si un paquet a une nouvelle version ailleurs, laissez un message dans ce fil ou envoyez-le via le bouton 'Envoyer' (http://wiki.freepascal.org/Online_Pa...sitory_package). Il y a plus de 130 paquets dans le dépôt central, je ne peux pas vérifier chaque paquet chaque jour, ce n'est pas réaliste.
    Pour les screenshots c'est par là : http://forum.lazarus.freepascal.org/...html#msg268933
    • "L'Homme devrait mettre autant d'ardeur à simplifier sa vie qu'il met à la compliquer" - Henri Bergson
    • "Bien des livres auraient été plus clairs s'ils n'avaient pas voulu être si clairs" - Emmanuel Kant
    • "La simplicité est la sophistication suprême" - Léonard De Vinci
    • "Ce qui est facile à comprendre ou à faire pour toi, ne l'est pas forcément pour l'autre." - Mon pèrei

    Mes projets sur Github - Blog - Site DVP

  8. #28
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 445
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 445
    Points : 13 421
    Points
    13 421
    Par défaut
    Citation Envoyé par BeanzMaster Voir le message
    Pour les screenshots c'est par là : http://forum.lazarus.freepascal.org/...html#msg268933
    Circulez y a rien a voir ! Ou alors faut être inscrit et loggué ? Ça fait chichi...

    Mais merci de te décarcasser pour tout ça, je suis avec attention (du verbe "suivre", pas du verbe "être", )
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  9. #29
    Expert confirmé
    Avatar de BeanzMaster
    Homme Profil pro
    Amateur Passionné
    Inscrit en
    septembre 2015
    Messages
    1 814
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Suisse

    Informations professionnelles :
    Activité : Amateur Passionné
    Secteur : Tourisme - Loisirs

    Informations forums :
    Inscription : septembre 2015
    Messages : 1 814
    Points : 4 144
    Points
    4 144
    Billets dans le blog
    2
    Par défaut
    Voila

    Nom : OPM1.png
Affichages : 509
Taille : 48,7 Ko

    Nom : OPM2.png
Affichages : 531
Taille : 92,2 Ko
    • "L'Homme devrait mettre autant d'ardeur à simplifier sa vie qu'il met à la compliquer" - Henri Bergson
    • "Bien des livres auraient été plus clairs s'ils n'avaient pas voulu être si clairs" - Emmanuel Kant
    • "La simplicité est la sophistication suprême" - Léonard De Vinci
    • "Ce qui est facile à comprendre ou à faire pour toi, ne l'est pas forcément pour l'autre." - Mon pèrei

    Mes projets sur Github - Blog - Site DVP

  10. #30
    Membre chevronné

    Homme Profil pro
    Retraité
    Inscrit en
    juin 2012
    Messages
    1 035
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Retraité
    Secteur : Biens de consommation

    Informations forums :
    Inscription : juin 2012
    Messages : 1 035
    Points : 2 020
    Points
    2 020
    Par défaut
    Pour OnlineManager GetMem le développeur essaye autant qu'il peux de garder les paquets à jour. Je fais suivre ta remarque MM
    Tu aurais quelques noms de paquet à transmettre à GetMem ?
    Manifestement il y-a eu pas mal d'améliorations depuis septembre. Deux des paquets incriminés étaient cmdline et graph32 qui s'installent maintenant sans problème mais pour cmdline je ne peux plus m'en débarrasser ! Après la désinstallation au redémarrage de Lazarus j'ai systématiquement ce message:
    Impossible de trouver la classe de composant "TCmdBox".
    Elle n'est pas enregistrée via "RegisterClass" et est introuvable dans le fichier "lfm".
    Elle est requise par l'unité :
    /home/moi/.lazarus/onlinepackagemanager/packages/cmdline/wnmainform.pas
    C'est le package cmdbox qui est référencé dans l'installeur de paquets, cmdline y est invisible.

    A part ça ce qui est comme d'habitude indigent ce sont les descriptions. Exemple:
    exdatabase -> Extra Database
    Ben oui, Ça leur fait quoi aux databases ? Et quelles databases ?
    Indy -> Indy Componets
    Le must! Même si je suis ravi de trouver enfin un Indy qui s'installe sans faire d'histoires il faudrait peut-être mieux définir la bête.
    En gros c'est toujours la même histoire: Il y-a un tas de trucs mais on ne sait pas à quoi ça sert, le seul moyen c'est de les installer un à un en priant qu'il s'y trouve un fichier d'exemple fonctionnel et un tant soit peu cohérent pour la plupart du temps s'apercevoir qu'on en avait pas besoin et le désinstaller...
    Il faudrait vraiment que les créateurs ( ou d'autres ) fassent un descriptif cohérent et une liste des fonctions supplémentaires.

    A part ça petit défaut de la 1.8, il est assez fréquent qu'après l'installation d'un composant Lazarus ne redémarre pas automatiquement. Ça reste anecdotique.

    Et une question relative au manque de doc: Il est conseillé de replacer pos et length par UTF8pos et UTF8length. Moi je veux bien mais c'est dans quelle unité tout ça ?

  11. #31
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 445
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 445
    Points : 13 421
    Points
    13 421
    Par défaut
    Citation Envoyé par mm_71 Voir le message
    Et une question relative au manque de doc : Il est conseillé de replacer pos et length par UTF8pos et UTF8length. Moi je veux bien mais c'est dans quelle unité tout ça ?
    Quoi ? !
    Tu es en train de nous dire que l'aide est toujours aussi nulle ? Genre tu tapes UTF8pos, tu mets bien le curseur au milieu, tu fais F1 et tu te fais insulter parce qu'il ne trouve pas ?
    Mais bon sang, sous Delphi 6 (et peut-être même avant) ça fonctionnait, ça ! L'aide arrivait et tu voyais dans quelle unité se trouvait ton truc... Il y aura bientôt 20 ans...

    Et vous voudriez que je migre ? Comptez pas sur moi !

    C'est désespérant...
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  12. #32
    Membre chevronné

    Homme Profil pro
    Retraité
    Inscrit en
    juin 2012
    Messages
    1 035
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Retraité
    Secteur : Biens de consommation

    Informations forums :
    Inscription : juin 2012
    Messages : 1 035
    Points : 2 020
    Points
    2 020
    Par défaut
    Genre tu tapes UTF8pos, tu mets bien le curseur au milieu, tu fais F1 et tu te fais insulter parce qu'il ne trouve pas ?
    Euh... Non, c'est plutôt genre j'ai l'air d'un con qui n'avait jamais pensé à faire ça. C'est dans lazutf8.

  13. #33
    Responsable Lazarus & Pascal

    Avatar de gvasseur58
    Homme Profil pro
    Cultivateur de code (bio)
    Inscrit en
    février 2013
    Messages
    1 420
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Isère (Rhône Alpes)

    Informations professionnelles :
    Activité : Cultivateur de code (bio)
    Secteur : Enseignement

    Informations forums :
    Inscription : février 2013
    Messages : 1 420
    Points : 20 521
    Points
    20 521
    Billets dans le blog
    84
    Par défaut
    Citation Envoyé par mm_71 Voir le message
    Et une question relative au manque de doc: Il est conseillé de replacer pos et length par UTF8pos et UTF8length. Moi je veux bien mais c'est dans quelle unité tout ça ?
    L'unité à utiliser est LazUTF8.
    Comme je le signale dans l'annonce, la cohérence de l'ensemble est mise à mal par la transition vers l'UTF8 : il y a des bouts de code qui traînent encore, même si c'est bien mieux que dans la précédente version (n'est-ce pas Jipété ?). Cette difficulté n'est pas propre à Lazarus : la sortie de l'ASCII et de ses extensions ANSI est dans l'ensemble douloureux et complexe, surtout du fait de la multiplication des normes. Ces dernières ont leurs avantages et leurs défauts. Delphi a parié sur une forme de l'UTF16, qui a le mérite de la simplicité pour certaines opérations avec ses deux octets de données, mais qui a besoin de plages d'exceptions difficiles à gérer pour couvrir tous les signes utilisés par toutes les langues : en gros, l'UTF16 est très efficace tant qu'on fait semblant d'ignorer tout ce qu'il ne sait pas traiter, car il devient alors très difficile de s'y retrouver. Free Pascal (donc Lazarus) fait le pari de l'UTF8 qui fonctionne selon un principe très simple et qui est très utilisé (Web, Linux...), mais qui présente le défaut (au moins apparent) de jongler avec un nombre variable d'octets . Pendant un temps, la LCL était UTF8 mais pas la RTL : aujourd'hui, l'UTF8 domine largement. Bref, ça avance, et on est aux trois quarts du gué (je suis de nature optimiste).
    Accès à mon site et à mon blog. Actualités, cours et ressources Delphi, Lazarus et Pascal.
    Pensez à la balise - Quelqu'un vous a aidé ou vous appréciez une intervention ? Pensez au

  14. #34
    Responsable Lazarus & Pascal

    Avatar de gvasseur58
    Homme Profil pro
    Cultivateur de code (bio)
    Inscrit en
    février 2013
    Messages
    1 420
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Isère (Rhône Alpes)

    Informations professionnelles :
    Activité : Cultivateur de code (bio)
    Secteur : Enseignement

    Informations forums :
    Inscription : février 2013
    Messages : 1 420
    Points : 20 521
    Points
    20 521
    Billets dans le blog
    84
    Par défaut
    Citation Envoyé par Jipété Voir le message
    Mais bon sang, sous Delphi 6 (et peut-être même avant) ça fonctionnait, ça ! L'aide arrivait et tu voyais dans quelle unité se trouvait ton truc... Il y aura bientôt 20 ans...
    Cher Jipété,
    Puis-je te faire remarquer une différence énorme entre Delphi 6 et Lazarus ? Le premier était payant et tournait avec une entreprise qui payait ses employés (je sais, cela devient rare en France, on en oublie ces temps que les moins de vingt ans ne peuvent pas connaître...) alors que le second ne compte que sur des bénévoles. Si l'aide n'existe pas dans un domaine, c'est que personne ne s'en est occupé. Idem pour les fonctionnalités...

    Citation Envoyé par Jipété Voir le message
    C'est désespérant...
    Allons, allons, c'est l'approche des fêtes de fin d'année ?
    Accès à mon site et à mon blog. Actualités, cours et ressources Delphi, Lazarus et Pascal.
    Pensez à la balise - Quelqu'un vous a aidé ou vous appréciez une intervention ? Pensez au

  15. #35
    Expert éminent sénior
    Avatar de Jipété
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    9 445
    Détails du profil
    Informations personnelles :
    Localisation : France, Hérault (Languedoc Roussillon)

    Informations forums :
    Inscription : juillet 2006
    Messages : 9 445
    Points : 13 421
    Points
    13 421
    Par défaut
    Citation Envoyé par gvasseur58 Voir le message
    Cher Jipété,
    Puis-je te faire remarquer une différence énorme entre Delphi 6 et Lazarus ? Le premier était payant et [...]
    Euh, je parlais de ça :
    Nom : d6gratuit.png
Affichages : 213
Taille : 34,2 Ko

    Citation Envoyé par gvasseur58 Voir le message
    [...] Si l'aide n'existe pas dans un domaine, c'est que personne ne s'en est occupé.
    Sous-entendu : il n'y avait pas de capitaine à la tête de l'équipe, pas de vision globale, pas de coup de poing sur la table pour indiquer la direction, et voilà où on en est 20 ans plus tard...

    Et je trouve hallucinant de lire les commentaires des misères d'install de ces derniers posts : ça ne donne franchement pas envie, limite ça fait peur...
    Citation Envoyé par gvasseur58 Voir le message
    Allons, allons, c'est l'approche des fêtes de fin d'année ?
    Je te vous les souhaite excellentes
    Il a à vivre sa vie comme ça et il est mûr sur ce mur se creusant la tête : peutêtre qu'il peut être sûr, etc.
    Oui, je milite pour l'orthographe et le respect du trait d'union à l'impératif.
    Après avoir posté, relisez-vous ! Et en cas d'erreur ou d'oubli, il existe un bouton « Modifier », à utiliser sans modération
    On a des lois pour protéger les remboursements aux faiseurs d’argent. On n’en a pas pour empêcher un être humain de mourir de misère.
    Mes 2 cts,
    --
    jp

  16. #36
    Membre chevronné

    Homme Profil pro
    Retraité
    Inscrit en
    juin 2012
    Messages
    1 035
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Retraité
    Secteur : Biens de consommation

    Informations forums :
    Inscription : juin 2012
    Messages : 1 035
    Points : 2 020
    Points
    2 020
    Par défaut
    Et je trouve hallucinant de lire les commentaires des misères d'install de ces derniers posts : ça ne donne franchement pas envie, limite ça fait peur...
    Pour ma part aucune misère. Ceux qui ont posté ici pour des problèmes plutôt mineurs sont moins de 5 pour plus de 1000 lectures du fil, on peut donc en déduire qu'il n'y a que quelques cas particuliers généralement liés à une mauvaise désinstallation des anciennes versions et de /ect/fpc.cfg.

  17. #37
    Responsable Pascal, Lazarus et Assembleur


    Avatar de Alcatîz
    Homme Profil pro
    Ressources humaines
    Inscrit en
    mars 2003
    Messages
    7 775
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 55
    Localisation : Belgique

    Informations professionnelles :
    Activité : Ressources humaines
    Secteur : Service public

    Informations forums :
    Inscription : mars 2003
    Messages : 7 775
    Points : 56 517
    Points
    56 517
    Billets dans le blog
    2
    Par défaut
    Citation Envoyé par gvasseur58 Voir le message
    [...] une différence énorme entre Delphi 6 et Lazarus ? [...] alors que le second ne compte que sur des bénévoles. Si l'aide n'existe pas dans un domaine, c'est que personne ne s'en est occupé. Idem pour les fonctionnalités...
    Un produit de la taille et de la qualité de Lazarus, à ce prix-là, qui plus est développé par aussi peu de gens et dans de telles conditions, c'est un véritable bijou. Alors oui, certaines faces ne sont peut-être pas complètement taillées, mais cela n'enlève rien à sa valeur intrinsèque.

    Chapeau les artistes.
    Règles du forum
    Cours et tutoriels Pascal, Delphi, Lazarus et Assembleur
    Avant de poser une question, consultez les FAQ Pascal, Delphi, Lazarus et Assembleur
    Mes tutoriels et sources Pascal

    Le problème en ce bas monde est que les imbéciles sont sûrs d'eux et fiers comme des coqs de basse cour, alors que les gens intelligents sont emplis de doute. [Bertrand Russell]
    La tolérance atteindra un tel niveau que les personnes intelligentes seront interdites de toute réflexion afin de ne pas offenser les imbéciles. [Fiodor Mikhaïlovitch Dostoïevski]

  18. #38
    Membre régulier

    Homme Profil pro
    retraité
    Inscrit en
    septembre 2006
    Messages
    57
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Gironde (Aquitaine)

    Informations professionnelles :
    Activité : retraité
    Secteur : Aéronautique - Marine - Espace - Armement

    Informations forums :
    Inscription : septembre 2006
    Messages : 57
    Points : 118
    Points
    118
    Par défaut lazarus est un tres bon logiciel
    Citation Envoyé par mm_71 Voir le message
    Pour ma part aucune misère. Ceux qui ont posté ici pour des problèmes plutôt mineurs sont moins de 5 pour plus de 1000 lectures du fil, on peut donc en déduire qu'il n'y a que quelques cas particuliers généralement liés à une mauvaise désinstallation des anciennes versions et de /ect/fpc.cfg.
    Bonjour
    J'ai utilisé Delphi depuis la version Dephi 3 dans les années 2000,pour mon boulot.
    je suis passé à Lazarus en 2006 quand je me suis retrouvé a la retraite.
    J'ai utilisé toutes les versions de lazarus depuis cette date,sur plusieurs PC,sans problème particulier d'installation.
    Avec la 1.8,c'est la première fois que j'ai eu des problèmes d'installation,et sur 2 PC.
    C'est aussi la première fois que je me précipite pour l'installer dès la sortie.
    Je ne critique pas les développeurs de lazarus,bien au contraire,je leur tire mon chapeau .
    Depuis que j'ai réglé les derniers problèmes,tout fonctionne parfaitement.
    Précision : je suis sous linux mint.
    Maintenant si il existe une procédure fiable de des-installation,je suis preneur.

  19. #39
    Membre chevronné

    Homme Profil pro
    Retraité
    Inscrit en
    juin 2012
    Messages
    1 035
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Retraité
    Secteur : Biens de consommation

    Informations forums :
    Inscription : juin 2012
    Messages : 1 035
    Points : 2 020
    Points
    2 020
    Par défaut
    Maintenant si il existe une procédure fiable de des installation,je suis preneur.
    Voir mon message du 12/12/2017, 12h23 dans le même fil.

  20. #40
    Membre à l'essai
    Profil pro
    Inscrit en
    avril 2010
    Messages
    11
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : avril 2010
    Messages : 11
    Points : 14
    Points
    14
    Par défaut
    Citation Envoyé par microb Voir le message
    Précision : je suis sous linux mint.
    Maintenant si il existe une procédure fiable de des-installation,je suis preneur.
    Salut,

    Il y a fpcupdeluxe qui est vraiment bien pratique pour installer Lazarus. (Ainsi que les fichiers pour la cross compilation et certains packets)

    @+

Discussions similaires

  1. [Lazarus] Lazarus 1.0 est disponible en version Release Candidate
    Par Alcatîz dans le forum Lazarus
    Réponses: 7
    Dernier message: 29/08/2012, 21h01
  2. Réponses: 52
    Dernier message: 28/06/2012, 16h36
  3. [Joomla!] Joomla 1.6 est disponible avec l'arrivée du code sémantique
    Par Idelways dans le forum EDI, CMS, Outils, Scripts et API
    Réponses: 18
    Dernier message: 18/03/2011, 10h04
  4. Réponses: 0
    Dernier message: 25/01/2011, 10h16
  5. Joomla 1.6 est disponible avec l'arrivée du code sémantique
    Par Idelways dans le forum Actualités
    Réponses: 17
    Dernier message: 18/01/2011, 19h33

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo